Apipylon
Update a Pylon user (PATCH /users/{id})
Write operation: mutates state in the upstream service.
curl -X PATCH "https://api.modernloop.dev/rest/v1/pylon/users/string" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "name": "string", "email": "string", "emails": [ "string" ], "avatar_url": "string", "role_id": "string", "role": { "id": "string", "name": "string", "slug": "string" }, "status": "string" }, "request_id": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Resource UUID or external identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
avatar_url?string
role_id?string
status?string
Value in
- "active"
- "away"
- "out_of_office"
Response Body
application/json
application/json
application/json
application/json
application/json